//+------------------------------------------------------------------+
//|                                                        ab-10.mq4 |
//|                                                           petrov |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "petrov"
#property link      "http://www.metaquotes.net"
   extern double Psl     =0.1;
   extern double Ptp     =0.1;
   extern double Px      =0.1;
   extern double Py      =0.1;
   extern double Pz      =0.1;
   extern double Lots    =0.1;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
 {
    int MATrendperiod=30;     
    int Stoploss;   
    int Takeprofit;
    double nBuy;
    double nSell;
    int total;                    
    int ticket;
    double Dx;
    double Dy;
    double Dz;
    
    Dx =(iHigh(NULL,PERIOD_M5,0)-iLow(NULL,PERIOD_M5,0))/iLow("NULL",PERIOD_M5,0)*500;
    Dy =(iHigh(NULL,PERIOD_M5,0)-iLow(NULL,PERIOD_M5,0))/(iHigh(NULL,PERIOD_M5,0)-iLow(NULL,PERIOD_M5,0));
    Dz =((iHigh(NULL,PERIOD_M5,0)-iLow(NULL,PERIOD_M5,0))/iVolume(NULL,PERIOD_M5,0))*20000;
    Stoploss  =30*Point-MathRound(5000*(iHigh(NULL,PERIOD_M5,0)-iLow(NULL,PERIOD_M5,0))*Psl);
    Takeprofit=20*Point+MathRound(5000*(iHigh(NULL,PERIOD_M5,0)-iLow(NULL,PERIOD_M5,0))*Ptp);
    nBuy      =iHigh(NULL,PERIOD_M5,0)-iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_HIGH,0);
    nSell     =iLow(NULL,PERIOD_M5,0)-iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_LOW,0);
    total     =OrdersTotal();
    if (total<1)
        {  
        if (Dx>Px&&Dy<Py&&Dz<Pz&&nSell>0)
            ticket=OrderSend(NULL,OP_SELL,Lots,Bid,3,Stoploss,Takeprofit);
            else return (0);
        if (Dx>Px&&Dy<Py&&Dz<Pz&&nSell<0)
            ticket=OrderSend(NULL,OP_SELLLIMIT,Lots,Bid+10*Point,3,Stoploss,Takeprofit);
            else return (0);
        if (Dx>Px&&Dy<Py&&Dz<Pz&&nBuy>0)
            ticket=OrderSend(NULL,OP_BUY,Lots,Ask,3,Stoploss,Takeprofit);
            else return (0);
        if (Dx>Px&&Dy<Py&&Dz<Pz&&nBuy<0)
            ticket=OrderSend(NULL,OP_BUYLIMIT,Lots,Ask-10*Point,3,Stoploss,Takeprofit);
            else return (0);
        
        }
  return (0);
  }  